"""API layer for CCProxy API Server."""

from ccproxy.api.app import create_app, get_app
from ccproxy.api.dependencies import (
    ClaudeServiceDep,
    ObservabilityMetricsDep,
    ProxyServiceDep,
    SettingsDep,
    get_claude_service,
    get_observability_metrics,
    get_proxy_service,
)


app = create_app()

__all__ = [
    "app",
    "create_app",
    "get_app",
    "get_claude_service",
    "get_proxy_service",
    "get_observability_metrics",
    "ClaudeServiceDep",
    "ProxyServiceDep",
    "ObservabilityMetricsDep",
    "SettingsDep",
]
