"""Docker-related CLI utilities for Claude Code Proxy."""

from ccproxy.cli.docker.adapter_factory import (
    _create_docker_adapter_from_settings,
)
from ccproxy.cli.docker.params import (
    DockerOptions,
    docker_arg_option,
    docker_env_option,
    docker_home_option,
    docker_image_option,
    docker_volume_option,
    docker_workspace_option,
    user_gid_option,
    user_mapping_option,
    user_uid_option,
)


__all__ = [
    # Factory functions
    "_create_docker_adapter_from_settings",
    # Docker options
    "DockerOptions",
    "docker_image_option",
    "docker_env_option",
    "docker_volume_option",
    "docker_arg_option",
    "docker_home_option",
    "docker_workspace_option",
    "user_mapping_option",
    "user_uid_option",
    "user_gid_option",
]
